function [ y ] = pol2(p,x)
%
%   y = p(1)*x^n + p(2)*x^(n-1) + ... + p(n)*x + p(n+1)
%  
% x vettore
%
nc = length(p);
n = nc-1;
y = p(nc);
%  x^n = x^(n-1)*x
xp = 1;
for i=n:-1:1
    xp = xp.*x;
    y = y+p(i).*xp;
end
% numero di operazioni aritmetiche di base, complessita' computazionale
%   n somme
%   n prodotti
%   n prodotti per calcolare xp
%   prodotti  2*n = O(n)

end

